Skip to main content
POST
/
ecommerce
/
orders
/
{orderId}
/
reject
Reject order
curl --request POST \
  --url https://api.service.getjusto.com/v3/ecommerce/orders/{orderId}/reject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reasonMessage": "No contamos con stock suficiente para preparar el pedido."
}
'
{
  "success": true,
  "data": {
    "_id": "ord-123",
    "isScheduled": true,
    "isConfirmed": true,
    "websiteId": "<string>",
    "storeId": "<string>",
    "code": "123",
    "fullCode": "C#123",
    "userId": "<string>",
    "createdAt": "2020-01-01T00:00:00.000Z",
    "address": {
      "_id": "<string>",
      "placeId": "<string>",
      "address": "Av. Apoquindo 3000",
      "addressLine2": "Depto 1201",
      "addressSecondary": "<string>",
      "location": {
        "lat": -33.4489,
        "lng": -70.6693
      }
    },
    "menuId": "<string>",
    "deliverAt": "2020-01-01T00:00:00.000Z",
    "timeText": "<string>",
    "paymentType": "<string>",
    "paymentTypeLabel": "<string>",
    "paymentTypeIsIntegration": true,
    "tipAmount": 123,
    "amountToPay": 123,
    "deliveryFee": 123,
    "serviceFee": 123,
    "itemsPrice": 123,
    "totalPrice": 123,
    "totalDiscount": 123,
    "expectedPreparationDuration": 123,
    "deliveryDuration": 123,
    "cashAmount": 123,
    "source": "<string>",
    "buyerName": "<string>",
    "phone": "<string>",
    "email": "<string>",
    "couponId": "<string>",
    "couponName": "<string>",
    "couponCode": "<string>",
    "couponDiscount": 123,
    "flagColor": "<string>",
    "items": [
      {
        "_id": "<string>",
        "product": {
          "_id": "<string>",
          "name": "Hamburguesa",
          "externalId": "<string>",
          "metadata": {},
          "priceMetadata": {}
        },
        "unitPrice": 5990,
        "baseUnitPrice": 5990,
        "productPrice": 5990,
        "baseProductPrice": 5990,
        "amount": 2,
        "comment": "<string>",
        "description": "Bebida: Coca Zero - Comentario: \"Sin cebolla\"",
        "promotionId": "<string>",
        "promotionDiscount": 123,
        "promotionType": "<string>",
        "promotionLabel": "<string>",
        "modifiers": [
          {
            "modifierId": "<string>",
            "externalId": "<string>",
            "name": "Agregados",
            "shortName": "<string>",
            "metadata": {},
            "description": "<string>",
            "countById": {},
            "countByExternalId": {},
            "options": [
              {
                "optionId": "<string>",
                "name": "Queso",
                "price": 1000,
                "externalId": "<string>",
                "metadata": {},
                "priceMetadata": {}
              }
            ]
          }
        ]
      }
    ],
    "transaction": {
      "_id": "<string>",
      "totalPrice": 123,
      "paymentType": "<string>",
      "cardType": "<string>",
      "cardLast4": "<string>",
      "status": "<string>"
    },
    "deliveries": [
      {
        "_id": "<string>",
        "price": 2500,
        "placeName": "<string>",
        "isCash": true,
        "instructions": "<string>",
        "fromLocation": {
          "lat": -33.4489,
          "lng": -70.6693
        },
        "toLocation": {
          "lat": -33.4489,
          "lng": -70.6693
        },
        "trackingURL": "<string>",
        "orderId": "<string>",
        "activatesAt": "2020-01-01T00:00:00.000Z",
        "createdAt": "2020-01-01T00:00:00.000Z",
        "forDate": "2020-01-01T00:00:00.000Z",
        "pickupAt": "2020-01-01T00:00:00.000Z",
        "completedAt": "2020-01-01T00:00:00.000Z",
        "canceledAt": "2020-01-01T00:00:00.000Z",
        "deliveryExpectedAt": "2020-01-01T00:00:00.000Z",
        "driverReceivedAt": "2020-01-01T00:00:00.000Z",
        "driverInformation": {},
        "deliveryInformation": {},
        "externalId": "<string>",
        "specialCode": "<string>"
      }
    ],
    "orderParams": {},
    "hasManagedDelivery": true,
    "gift": {},
    "billing": {},
    "cancellationInfo": {},
    "deliveryZoneName": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orderId
string
required

ID Justo del pedido.

Body

application/json
reasonMessage
string
required

Mensaje de rechazo que verá el cliente. Debe explicar por qué no se puede preparar el pedido.

Example:

"No contamos con stock suficiente para preparar el pedido."

Response

The OpenAPI spec

success
boolean
Example:

true

data
object

Pedido de ecommerce.